Skip to main content
POST
/
set-webhooks
Create Webhook
curl --request POST \
  --url https://api.flowiq.live/set-webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://your-server.com/webhook",
  "type": "message_received",
  "platform": "whatsapp"
}
'
{
  "success": true,
  "message": "Webhook created successfully",
  "webhook": {
    "id": "0df9d480-f181-466b-ae8d-85216c16e8dd",
    "url": "https://your-server.com/webhook",
    "type": "message_received",
    "platform": "whatsapp",
    "created_at": "2026-03-08T00:00:00.000+02:00"
  }
}

Basic Usage

curl -X POST "https://api.flowiq.live/set-webhooks" \
  -H "Authorization: Bearer fiq_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://your-server.com/webhook", "type": "message_received"}'

Request Body

FieldRequiredDescription
urlYesHTTPS endpoint to receive events
typeYesEvent type: message_received, message_sent, sent_message, message_delivered, message_read, message_failed, call, or all
platformNoDefaults to whatsapp
{
  "url": "https://your-server.com/webhook",
  "type": "message_received"
}

Response

{
  "success": true,
  "message": "Webhook created successfully",
  "webhook": {
    "id": "0df9d480-f181-466b-ae8d-85216c16e8dd",
    "url": "https://your-server.com/webhook",
    "type": "message_received",
    "platform": "whatsapp",
    "created_at": "2026-03-08T00:00:00.000+02:00"
  }
}

Use type: "all" to receive every event type through a single webhook subscription.

Authorizations

Authorization
string
header
required

Bearer token for authentication. Format: Bearer YOUR_BEARER_TOKEN

Body

application/json
url
string
required

HTTPS endpoint to receive events

Example:

"https://your-server.com/webhook"

type
enum<string>
required

Event type to subscribe to

Available options:
message_received,
message_sent,
sent_message,
message_delivered,
message_read,
message_failed,
call,
all
Example:

"message_received"

platform
string

Platform (defaults to whatsapp)

Example:

"whatsapp"

Response

200 - application/json

Webhook created successfully

success
boolean
message
string
webhook
object